> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/tworzenie-formularza/statystyki-gtm.md).

# GTM statistics

## Introduction

Google Tag Manager functionality is available for:

* components,
* session variables.

Each supported component available in Eximee Designer can be configured with Google Tag Manager functionality. First, the functionality must be enabled on the application, and then on individual components according to the sections below.

## GTM configuration for a component

GTM tag configuration consists of selecting the option **Enable GTM** field **Other** in the properties of the given component (by default the option is unchecked). It is also possible to change the default tag name to a custom name in the GTM Tag field. When the GTM Tag field is empty, the tag name is the same as in the mid field. The configuration for all components is identical.

## GTM configuration for session variables

GTM configuration for session variables consists of setting the session variable as **Exposed** and enabling the option **Gtm** (activated by clicking **Exposed**). It is possible to change the tag name in the GTM Tag field. The default tag name is the session variable's mid.

## Components supporting Google Tag Manager

* Trigger (Button)
* Checkbox
* Checkbox section (CheckboxSection)
* Value selection from list (Combobox)
* Date (DatePicker)
* ExternalSection
* Plus/minus
* Radio group (RadioGroup)
* Layer statements (StatementPopup)
* Step slider
* Text Area (TextArea)
* Text field (TextField)
* Slider

## GTM integration information

Changes made on the application are sent to Google Tag Manager and there, using the GTM data layer (webformsDataLayer), can be used to create rules and tags, which can then be used to track user behavior on the application (for example, using platforms such as GA4).

As a result of changing the value of a component that has been allowed to send a tag to Google Tag Manager, two entries appear in the GTM data layer (webformsDataLayer):

* **event** - whose value corresponds to the gtmTagName field of the application component. If the value of this field is empty and the pushTagsToGtm property is checked, then the event takes the value of the component's mid field,
* **eventValue** - whose value corresponds to the new value of the component.

As a result of opening the application, entries appear in the GTM data layer (webformsDataLayer):

* **formName** - application name.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/tworzenie-formularza/statystyki-gtm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
